|  | Dual Active Bridge Development Board (Part-No. ) |
Content |  |  |  |  |  |

Loading...
Searching...
No Matches
Files | Functions
LED Display
Device Layer

The LED device layer is the proprietary user code used to configure and drive the on-board debugging LED. More...

Collaboration diagram for LED Display:

## Files
file | dev_led.c
| Contains LED initialization and execution functions.
file | dev_led.h
| led device driver

## Functions
void | Dev_LED_Initialize (void)
| This function contains the LED initialization.
void | Dev_LED_On (uint8_t led_id)
| Switch on the LED.
void | Dev_LED_Off (uint8_t led_id)
| Switch off the LED.
void | Dev_LED_Toggle (uint8_t led_id)
| Toggles the LED state.
void | Dev_LED_Blink (uint8_t led_id)
| Set the LED in blinking mode.
void | Dev_LED_Blink_Iter (uint8_t led_id, uint8_t count)
| Set the LED in blinking mode in number of LED iterations.
void | Dev_LED_Blink_Slow (uint8_t led_id)
| Set the LED in SLOW blinking mode.
void | Dev_LED_Blink_Fast (uint8_t led_id)
| Set the LED in FAST blinking mode.
void | Dev_LED_Task_100ms ()
| This function needs to be called every 100ms and contains the code to update the status of the LEDs.
#define | LED_STATE_OFF 0
| These are the macros indicating the status of the LED.
#define | LED_STATE_ON 1
#define | LED_STATE_BLINK 2
#define | LED_STATE_BLINK_SLOW 3
#define | LED_STATE_BLINK_FAST 4
#define | LED_STATE_BLINK_COUNT 5

## Detailed Description

## Macro Definition Documentation

## ◆ LED_STATE_BLINK

#define LED_STATE_BLINK 2

Definition at line 53 of file dev_led.c.

## ◆ LED_STATE_BLINK_COUNT

#define LED_STATE_BLINK_COUNT 5

Definition at line 56 of file dev_led.c.

## ◆ LED_STATE_BLINK_FAST

#define LED_STATE_BLINK_FAST 4

Definition at line 55 of file dev_led.c.

## ◆ LED_STATE_BLINK_SLOW

#define LED_STATE_BLINK_SLOW 3

Definition at line 54 of file dev_led.c.

## ◆ LED_STATE_OFF

#define LED_STATE_OFF 0

Definition at line 51 of file dev_led.c.

## ◆ LED_STATE_ON

#define LED_STATE_ON 1

Definition at line 52 of file dev_led.c.

## Function Documentation

## ◆ Dev_LED_Blink()

void Dev_LED_Blink | ( | uint8_t | led_id | ) |

Parameters

  led_id | LED ID instance

Returns
  void

This function makes the LED blink.

Definition at line 161 of file dev_led.c.

Here is the caller graph for this function:

## ◆ Dev_LED_Blink_Fast()

void Dev_LED_Blink_Fast | ( | uint8_t | led_id | ) |

Parameters

  led_id | LED ID instance

Returns
  void

This function makes the LED blink in fast mode.

Definition at line 207 of file dev_led.c.

## ◆ Dev_LED_Blink_Iter()

void Dev_LED_Blink_Iter | ( | uint8_t | led_id,
|  | uint8_t | count
| ) |  |

Parameters

  led_id | LED ID instance

Returns
  void

This function blinks the LED instance in a particular number of blink counts

Definition at line 176 of file dev_led.c.

## ◆ Dev_LED_Blink_Slow()

void Dev_LED_Blink_Slow | ( | uint8_t | led_id | ) |

Parameters

  led_id | LED ID instance

Returns
  void

This function makes the LED blink in slow mode.

Definition at line 192 of file dev_led.c.

## ◆ Dev_LED_Initialize()

void Dev_LED_Initialize | ( | void |  | ) |

Returns
  void

This function initializes the LED to normal blink interval.

Note
  Not really needed to be called at startup, but its nice be consistent

Definition at line 78 of file dev_led.c.

Here is the call graph for this function:

## ◆ Dev_LED_Off()

void Dev_LED_Off | ( | uint8_t | led_id | ) |

Parameters

  led_id | LED ID instance

Returns
  void

This function turns off the led with the ID defined in the header file

Definition at line 118 of file dev_led.c.

## ◆ Dev_LED_On()

void Dev_LED_On | ( | uint8_t | led_id | ) |

Parameters

  led_id | LED ID instance

Returns
  void

This function turns on the led with the ID defined in the header file

Definition at line 94 of file dev_led.c.

## ◆ Dev_LED_Task_100ms()

void Dev_LED_Task_100ms | ( |  | ) |

Returns
  void

This function needs to be called every 100ms. This updates the status of the LED. The intervals defined in the header file are used to determine the frequency of blinky LED.

Definition at line 224 of file dev_led.c.

Here is the caller graph for this function:

## ◆ Dev_LED_Toggle()

void Dev_LED_Toggle | ( | uint8_t | led_id | ) |

Parameters

  led_id | LED ID instance

Returns
  void

This function toggles the led with the ID defined in the header file

Definition at line 142 of file dev_led.c.